Package jebl.evolution.sequences

# Class AminoAcids

java.lang.Object
jebl.evolution.sequences.AminoAcids

public final class AminoAcids extends Object
Uninstantiable utility class with only static methods.

Version:
  $Id: AminoAcids.java 986 2009-03-10 01:00:03Z matt_kearse $
Author:
  Andrew Rambaut, Alexei Drummond

## Field Summary

Fields
Modifier and Type
Field
Description
`static final AminoAcidState`
`A_STATE`
`static final AminoAcidState`
`B_STATE`
`static final AminoAcidState`
`C_STATE`
`static final int`
`CANONICAL_STATE_COUNT`
`static final AminoAcidState[]`
`CANONICAL_STATES`
Deprecated.
`static final StateClassification`
`CHEMICAL_CLASSIFICATION`
`static final AminoAcidState`
`D_STATE`
`static final AminoAcidState`
`E_STATE`
`static final AminoAcidState`
`F_STATE`
`static final AminoAcidState`
`G_STATE`
`static final AminoAcidState`
`GAP_STATE`
`static final AminoAcidState`
`H_STATE`
`static final StateClassification`
`HYDROPATHY_CLASSIFICATION`
`static final AminoAcidState`
`I_STATE`
`static final AminoAcidState`
`J_STATE`
`static final AminoAcidState`
`K_STATE`
`static final AminoAcidState`
`L_STATE`
`static final AminoAcidState`
`M_STATE`
`static final AminoAcidState`
`N_STATE`
`static final String`
`NAME`
`static final AminoAcidState`
`O_STATE`
`static final AminoAcidState`
`P_STATE`
`static final AminoAcidState`
`Q_STATE`
`static final AminoAcidState`
`R_STATE`
`static final AminoAcidState`
`S_STATE`
`static final int`
`STATE_COUNT`
`static final AminoAcidState[]`
`STATES`
Deprecated.
`static final AminoAcidState`
`STOP_STATE`
`static final AminoAcidState`
`T_STATE`
`static final AminoAcidState`
`U_STATE`
`static final AminoAcidState`
`UNKNOWN_STATE`
`static final AminoAcidState`
`V_STATE`
`static final StateClassification`
`VOLUME_CLASSIFICATION`
`static final AminoAcidState`
`W_STATE`
`static final AminoAcidState`
`X_STATE`
`static final AminoAcidState`
`Y_STATE`
`static final AminoAcidState`
`Z_STATE`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getCanonicalStateCount()`
`static List<State>`
`getCanonicalStates()`
`static AminoAcidState`
`getGapState()`
`static AminoAcidState`
`getState(char code)`
`static AminoAcidState`
`getState(int index)`
`static AminoAcidState`
`getState(String code)`
`static int`
`getStateCount()`
`static List<AminoAcidState>`
`getStates()`
`static String`
`getTripletCode(AminoAcidState state)`
`static AminoAcidState`
`getUnknownState()`
`static boolean`
`isGap(AminoAcidState state)`
`static boolean`
`isUnknown(AminoAcidState state)`
`static AminoAcidState[]`
`toStateArray(byte[] indexArray)`
`static AminoAcidState[]`
`toStateArray(String sequenceString)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

### CANONICAL_STATE_COUNT

public static final int CANONICAL_STATE_COUNT

See Also:
  - Constant Field Values

### STATE_COUNT

public static final int STATE_COUNT

See Also:
  - Constant Field Values

### A_STATE

public static final AminoAcidState A_STATE

### C_STATE

public static final AminoAcidState C_STATE

### D_STATE

public static final AminoAcidState D_STATE

### E_STATE

public static final AminoAcidState E_STATE

### F_STATE

public static final AminoAcidState F_STATE

### G_STATE

public static final AminoAcidState G_STATE

### H_STATE

public static final AminoAcidState H_STATE

### I_STATE

public static final AminoAcidState I_STATE

### K_STATE

public static final AminoAcidState K_STATE

### L_STATE

public static final AminoAcidState L_STATE

### M_STATE

public static final AminoAcidState M_STATE

### N_STATE

public static final AminoAcidState N_STATE

### P_STATE

public static final AminoAcidState P_STATE

### Q_STATE

public static final AminoAcidState Q_STATE

### R_STATE

public static final AminoAcidState R_STATE

### S_STATE

public static final AminoAcidState S_STATE

### T_STATE

public static final AminoAcidState T_STATE

### V_STATE

public static final AminoAcidState V_STATE

### W_STATE

public static final AminoAcidState W_STATE

### Y_STATE

public static final AminoAcidState Y_STATE

### U_STATE

public static final AminoAcidState U_STATE

### O_STATE

public static final AminoAcidState O_STATE

### CANONICAL_STATES

@Deprecated public static final AminoAcidState[] CANONICAL_STATES
Deprecated.

### B_STATE

public static final AminoAcidState B_STATE

### Z_STATE

public static final AminoAcidState Z_STATE

### J_STATE

public static final AminoAcidState J_STATE

### X_STATE

public static final AminoAcidState X_STATE

### UNKNOWN_STATE

public static final AminoAcidState UNKNOWN_STATE

### STOP_STATE

public static final AminoAcidState STOP_STATE

### GAP_STATE

public static final AminoAcidState GAP_STATE

### STATES

@Deprecated public static final AminoAcidState[] STATES
Deprecated.

### CHEMICAL_CLASSIFICATION

public static final StateClassification CHEMICAL_CLASSIFICATION

### HYDROPATHY_CLASSIFICATION

public static final StateClassification HYDROPATHY_CLASSIFICATION

### VOLUME_CLASSIFICATION

public static final StateClassification VOLUME_CLASSIFICATION

## Method Details

### getStateCount

public static int getStateCount()

### getStates

public static List<AminoAcidState> getStates()

### getCanonicalStateCount

public static int getCanonicalStateCount()

### getCanonicalStates

public static List<State> getCanonicalStates()

### getState

public static AminoAcidState getState(char code)

### getState

public static AminoAcidState getState(String code)

### getState

public static AminoAcidState getState(int index)

### getUnknownState

public static AminoAcidState getUnknownState()

### getGapState

public static AminoAcidState getGapState()

### isUnknown

public static boolean isUnknown(AminoAcidState state)

### isGap

public static boolean isGap(AminoAcidState state)

### getTripletCode

public static String getTripletCode(AminoAcidState state)

### toStateArray

public static AminoAcidState[] toStateArray(String sequenceString)

### toStateArray

public static AminoAcidState[] toStateArray(byte[] indexArray)